Patch Release!

News
F.A.Q.
Live Chat
Forum
Donate
home
Frequently Asked Questions

Do I need a Japanese PS3 to use this patch?

No. Any console of any region will be able to play the game in English.

What do I need for this patch?

A PS3 that has not been updated beyond official firmware version 3.55 and/or can run homebrew. A retail copy of Tales of Vesperia for the PS3. A Windows PC to run the patching tool. The patching tool itself.

I am using a custom firmware above 3.55 on my PS3. Will this patch work?

Yes. As long as you can run homebrew you should be good.

How do I run homebrew on my PS3?

We're not the right place for that information. As far as I know, PS3Hax is the place to go to for news and information on installing and running homebrew on PS3s.

My PS3 has been updated past official firmware version 3.55. What can I do?

We recommend that you use the Online Translation Guide instead. As of the release of the patch, there are no known legit methods of downgrading a PS3 using only software. There are websites out there claiming that you can, but those are more than likely frauds attempting to install malware on your computer.

Where can I get a copy of the game?

Check the links in the left sidebar.

New Game+ doesn't show or unlock with the patch, what's wrong?

You used the patched TROPHY.TRP in an incompatible environment. If you can't make the console actually accept the modified trophy file, keep or restore the original.

The text does not fit right on screen. What's wrong?

If your font looks like in the latter screenshot, you have failed to patch your EBOOT.BIN. Please ensure it is actually patched before you make any bug reports!

Wait, what happened to R3volution?

It didn't work out, for both time and technical reasons. It's unfortunate, but it wasn't worth holding up the patch even longer for a tool that may or may not ever exist.

FAQ

Purchase Links

The translation team gets a small portion of any sales made through these links.

Released Downloads